using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class tblJobGroupTypeAddDescription : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "Description",
                schema: "job",
                table: "GroupTypes",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.UpdateData(
                schema: "job",
                table: "GroupTypes",
                keyColumn: "Id",
                keyValue: new Guid("318625e5-f833-436a-99df-2a382a1e71c7"),
                column: "Description",
                value: "Сгруппированный");

            migrationBuilder.UpdateData(
                schema: "job",
                table: "GroupTypes",
                keyColumn: "Id",
                keyValue: new Guid("4fa62e79-86bb-47c2-be1a-72a716a170fa"),
                column: "Description",
                value: "Обычный");

            migrationBuilder.UpdateData(
                schema: "job",
                table: "GroupTypes",
                keyColumn: "Id",
                keyValue: new Guid("6ec58b1a-5c40-47b9-b036-4fa490e8d503"),
                column: "Description",
                value: "Зонтик");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Description",
                schema: "job",
                table: "GroupTypes");
        }
    }
}
